Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161350 - using dmix pitch shifts mp3 playback up
Summary: using dmix pitch shifts mp3 playback up
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libao
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 16:19 UTC by dan crosta
Modified: 2013-03-13 04:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-14 10:33:47 UTC


Attachments (Terms of Use)

Description dan crosta 2005-06-22 16:19:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Playback of (at least) mp3s through libao (tested with mpg321 and through mpy3 (http://www.bearhome.net/mpy3) which uses pyao wrapper for libao) using the alsa09 plugin with the device 'dmix' (rather than 'default' or 'hw0') causes the resulting playback to be pitch-shifted up.

Version-Release number of selected component (if applicable):
libao-0.8.5-2

How reproducible:
Always

Steps to Reproduce:
1. listen to an mp3: mpg321 -o alsa09 foo.mp3
2. listen to an mp3 using dmix: mpg321 -o alsa09 -a dmix foo.mp3
3. notice pitch difference
  

Actual Results:  step 2 plays back at higher pitch

Expected Results:  step 1 and 2 should have same output

Additional info:

Comment 1 John (J5) Palmieri 2005-06-28 19:55:29 UTC
I have no way to test this since we don't support mp3's.  Does this happen on
any other audio formats?  If this is an mp3 issue only the bug should be filed
upstream.

Comment 2 dan crosta 2005-06-28 20:15:00 UTC
yes, it happens with raw PCM WAV files as well, played as:

aplay -D dmix mywavfile.wav

Comment 3 John (J5) Palmieri 2005-06-28 20:26:38 UTC
great thanks.  I can test that.  I'll test it on FC4 but FC3 had a really buggy
dmix that was turned off by default and was unsupported.  I wonder if that is
the problem and not libao.

Comment 4 dan crosta 2005-06-28 21:20:14 UTC
i have sucessfully used dmix through xmms, on the same MP3s causing trouble with
mpg321. i haven't tested it with WAV files, and won't be back at that computer
until tomorrow.

Comment 5 Matthew Miller 2006-07-10 23:33:19 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 6 Hans de Goede 2007-11-14 10:33:47 UTC
Short intro: I'm the new libao co-maintainer.

This bug is ancient, and there has been no response to an info request for over
a year! Please file a new bug if this is problem still present in recent Fedora
releases.



Note You need to log in before you can comment on or make changes to this bug.